%global __requires_exclude ^perl\\(ident\\)$

Summary:        Analyzer and report generator for web proxy servers like Squid
Name:           calamaris
Version:        2.99.4.7
Release:    1%{?dist}
License:        (GPL-1.0-or-later OR Artistic-1.0-Perl) AND GPL-2.0-or-later
URL:            https://cord.de/calamaris-english
Source0:        https://cord.de/files/calamaris/%{name}-%{version}.tar.gz
Patch0:         calamaris-2.99.4.7-use-lib.patch
BuildArch:      noarch
BuildRequires:  perl-generators
Requires:       perl(NetAddr::IP)

%description
Calamaris is used to produce statistical output from web proxy servers
like Squid, NetCache, Inktomi Traffic Server, Oops! proxy server, Compaq
TaskSmart, Cisco Content Engines, iPlanet Proxy Server or related proxy
log files. The resulting output can be ASCII or HTML with or without
graphics and with or without frames. It is possible to cache calculated
data in a file to use them in later runs.

%prep
%setup -q
%patch0 -p1 -b .use-lib
for file in *.use-lib; do touch -c -r ${file} ${file%.use-lib}; done

%build

%install
install -D -p -m 0755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
for file in *.pm; do
  install -D -p -m 0644 ${file} %{buildroot}%{perl_vendorlib}/%{name}/${file}
done

for file in CONTRIBUTORS EXAMPLES; do
  iconv -f iso-8859-1 -t utf-8 -o ${file}.utf8 ${file}
  touch -c -r ${file} ${file}.utf8; mv -f ${file}.utf8 ${file}
done

%files
%license COPYRIGHT
%doc CHANGES CONTRIBUTORS EXAMPLES EXAMPLES.v3 README
%{_bindir}/%{name}
%{perl_vendorlib}/%{name}/
%{_mandir}/man1/%{name}.1*

%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.99.4.7-1
- initial build
